## htmldoc 1.8.17

=== afm/Makefile ===
#
# "$Id: Makefile,v 1.3.2.1 2001/02/02 15:10:53 mike Exp $"
#
#   Makefile for HTMLDOC AFM files.
#
#   Copyright 1997-2001 by Easy Software Products.
#
#   These coded instructions, statements, and computer programs are the
#   property of Easy Software Products and are protected by Federal
#   copyright law.  Distribution and use rights are outlined in the file
#   "COPYING.txt" which should have been included with this file.  If this
#   file is missing or damaged please contact Easy Software Products
#   at:
#
#       Attn: ESP Licensing Information
#       Easy Software Products
#       44141 Airport View Drive, Suite 204
#       Hollywood, Maryland 20636-3111 USA
#
#       Voice: (301) 373-9600
#       EMail: info@easysw.com
#         WWW: http://www.easysw.com
#

#
# Include common definitions...
#

include ../Makedefs


#
# Adobe Font Metrics files...
#

AFMS	=	Courier Courier-Bold Courier-BoldOblique \
		Courier-Oblique Helvetica Helvetica-Bold \
		Helvetica-BoldOblique Helvetica-Oblique Symbol \
		Times-Bold Times-BoldItalic Times-Italic \
		Times-Roman


#
# Make everything...
#

all:


#
# Install everything...
#

install:
	if [ ! -d $(datadir)/htmldoc/afm ]; then\
		$(MKDIR) $(datadir)/htmldoc/afm;\
	fi
	$(CP) $(AFMS) $(datadir)/htmldoc/afm
	$(CHMOD) ugo+r $(datadir)/htmldoc/afm/*


#
# Clean out object and library files...
#

clean:

#
# End of "$Id: Makefile,v 1.3.2.1 2001/02/02 15:10:53 mike Exp $".
#

=== data/Makefile ===
#
# "$Id: Makefile,v 1.4.2.4 2001/07/26 20:38:26 mike Exp $"
#
#   Makefile for HTMLDOC data files.
#
#   Copyright 1997-2001 by Easy Software Products.
#
#   These coded instructions, statements, and computer programs are the
#   property of Easy Software Products and are protected by Federal
#   copyright law.  Distribution and use rights are outlined in the file
#   "COPYING.txt" which should have been included with this file.  If this
#   file is missing or damaged please contact Easy Software Products
#   at:
#
#       Attn: ESP Licensing Information
#       Easy Software Products
#       44141 Airport View Drive, Suite 204
#       Hollywood, Maryland 20636-3111 USA
#
#       Voice: (301) 373-9600
#       EMail: info@easysw.com
#         WWW: http://www.easysw.com
#

#
# Include common definitions...
#

include ../Makedefs


#
# Character set/glyph files...
#

FILES	=	iso-8859-1 iso-8859-14 iso-8859-15 iso-8859-2 iso-8859-3 \
		iso-8859-4 iso-8859-5 iso-8859-6 iso-8859-7 iso-8859-8 \
		iso-8859-9 koi8-r prolog.ps psglyphs


#
# Make everything...
#

all:


#
# Install everything...
#

install:
	if [ ! -d $(datadir)/htmldoc/data ]; then\
		$(MKDIR) $(datadir)/htmldoc/data;\
	fi
	$(CP) $(FILES) $(datadir)/htmldoc/data
	$(CHMOD) ugo+r $(datadir)/htmldoc/data/*


#
# Clean out object and library files...
#

clean:

#
# End of "$Id: Makefile,v 1.4.2.4 2001/07/26 20:38:26 mike Exp $".
#

=== doc/Makefile ===
#
# "$Id: Makefile,v 1.11.2.6 2001/10/26 21:21:46 mike Exp $"
#
#   Makefile for HTMLDOC documentation files.
#
#   Copyright 1997-2001 by Easy Software Products.
#
#   These coded instructions, statements, and computer programs are the
#   property of Easy Software Products and are protected by Federal
#   copyright law.  Distribution and use rights are outlined in the file
#   "COPYING.txt" which should have been included with this file.  If this
#   file is missing or damaged please contact Easy Software Products
#   at:
#
#       Attn: ESP Licensing Information
#       Easy Software Products
#       44141 Airport View Drive, Suite 204
#       Hollywood, Maryland 20636-3111 USA
#
#       Voice: (301) 373-9600
#       EMail: info@easysw.com
#         WWW: http://www.easysw.com
#

#
# Include common definitions...
#

include ../Makedefs


#
# Documentation files...
#

SOURCES	=	intro.html 1-install.html 2-starting.html \
		3-books.html 4-cmdline.html 5-cgi.html \
		6-htmlref.html 7-guiref.html 8-cmdref.html \
		a-license.html b-book.html c-relnotes.html

DOCUMENTS =	htmldoc.html htmldoc.pdf htmldoc.ps
DOCFILES =	help.html htmldoc.pdf


#
# Make everything...
#

all: $(DOCUMENTS)


#
# Install everything...
#

install: $(DOCUMENTS)
	if [ ! -d $(datadir)/doc/htmldoc ]; then\
		$(MKDIR) $(datadir)/doc/htmldoc;\
	fi
	$(CP) $(DOCFILES) $(datadir)/doc/htmldoc
	$(CHMOD) ugo+r $(datadir)/doc/htmldoc/*
	if [ ! -d $(mandir)/man1 ]; then\
		$(MKDIR) $(mandir)/man1;\
	fi
	$(CP) htmldoc.man $(mandir)/man1/htmldoc.1
	$(CHMOD) ugo+r $(mandir)/man1/htmldoc.1


#
# Clean out document files...
#

clean:
	$(RM) $(DOCUMENTS)


#
# htmldoc.html
#

htmldoc.html:	$(SOURCES) ../htmldoc/htmldoc
	../htmldoc/htmldoc -v --datadir .. --batch htmldoc.book -f htmldoc.html --datadir ..


#
# htmldoc.pdf
#

htmldoc.pdf:	$(SOURCES) ../htmldoc/htmldoc
	../htmldoc/htmldoc -v --datadir .. --batch htmldoc.book -f htmldoc.pdf --datadir ..


#
# htmldoc.ps
#

htmldoc.ps:	$(SOURCES) ../htmldoc/htmldoc
	../htmldoc/htmldoc -v --datadir .. --batch htmldoc.book -f htmldoc.ps --datadir ..


#
# End of "$Id: Makefile,v 1.11.2.6 2001/10/26 21:21:46 mike Exp $".
#

=== gui/Makefile ===
#
# "$Id: Makefile,v 1.3.2.1 2001/02/02 15:10:56 mike Exp $"
#
#   Makefile for HTMLDOC GUI library.
#
#   Copyright 1997-2001 by Easy Software Products.
#
#   These coded instructions, statements, and computer programs are the
#   property of Easy Software Products and are protected by Federal
#   copyright law.  Distribution and use rights are outlined in the file
#   "COPYING.txt" which should have been included with this file.  If this
#   file is missing or damaged please contact Easy Software Products
#   at:
#
#       Attn: ESP Licensing Information
#       Easy Software Products
#       44141 Airport View Drive, Suite 204
#       Hollywood, Maryland 20636-3111 USA
#
#       Voice: (301) 373-9600
#       EMail: info@easysw.com
#         WWW: http://www.easysw.com
#

#
# Include common definitions...
#

include ../Makedefs


#
# Object files...
#

OBJS	=	CheckButton.o FileBrowser.o FileChooser.o \
		FileChooser2.o FileIcon.o FileInput.o HelpDialog.o HelpView.o \
		Progress.o

#
# Make everything...
#

all:	libgui.a

#
# Install everything...
#

install:	libgui.a

#
# Clean out object and library files...
#

clean:
	rm -f $(OBJS) libgui.a

#
# libgui.a
#

libgui.a:	$(OBJS) ../Makedefs
	echo Archiving $@...
	$(RM) $@
	$(AR) $(ARFLAGS) $@ $(OBJS)
	$(RANLIB) $@

CheckButton.o:	CheckButton.h
FileBrowser.o:	FileBrowser.h FileIcon.h
FileChooser.o:	FileBrowser.h FileChooser.h FileIcon.h FileInput.h
FileChooser2.o:	FileBrowser.h FileChooser.h FileIcon.h FileInput.h
FileIcon.o:	FileIcon.h
FileInput.o:	FileInput.h
HelpDialog.o:	HelpDialog.h HelpView.h
HelpView.o:	HelpView.h
Progress.o:	Progress.h

$(OBJS):	../Makedefs

#
# End of "$Id: Makefile,v 1.3.2.1 2001/02/02 15:10:56 mike Exp $".
#

=== htmldoc/Makefile ===
#
#   "$Id: Makefile,v 1.13.2.8 2001/12/20 15:55:20 mike Exp $"
#
#   Makefile for HTMLDOC, an HTML document processing program.
#
#   Copyright 1997-2001 by Easy Software Products.
#
#   These coded instructions, statements, and computer programs are the
#   property of Easy Software Products and are protected by Federal
#   copyright law.  Distribution and use rights are outlined in the file
#   "COPYING.txt" which should have been included with this file.  If this
#   file is missing or damaged please contact Easy Software Products
#   at:
#
#       Attn: ESP Licensing Information
#       Easy Software Products
#       44141 Airport View Drive, Suite 204
#       Hollywood, Maryland 20636-3111 USA
#
#       Voice: (301) 373-9600
#       EMail: info@easysw.com
#         WWW: http://www.easysw.com
#

#
# Include common definitions...
#

include ../Makedefs


#
# Object files...
#

OBJS	=	gui.o file.o html.o htmldoc.o htmllib.o http.o \
		image.o iso8859.o md5.o progress.o ps-pdf.o rc4.o \
		snprintf.o string.o toc.o util.o


#
# Make everything...
#

all:	htmldoc

#
# Install everything...
#

install:	all
	if [ ! -d $(bindir) ]; then\
		$(MKDIR) $(bindir);\
	fi
	cp htmldoc $(bindir)
	chmod ugo+rx $(bindir)/htmldoc


#
# Clean out object and executable files...
#

clean:
	rm -f $(OBJS) htmldoc

#
# htmldoc
#

htmldoc:	$(OBJS) ../Makedefs
	echo Linking $@...
	$(CXX) $(LDFLAGS) -o htmldoc $(OBJS) $(LIBS)
	$(POST) htmldoc

htmldoc.purify:	$(OBJS) ../Makedefs
	echo Linking $@...
	purify $(CXX) $(LDFLAGS) -o htmldoc.purify $(OBJS) $(LIBS)

file.o:		file.h http.h md5.h progress.h hdstring.h
gui.o:		gui.h html.h htmldoc.h image.h iso8859.h progress.h \
		types.h htmldoc.xbm htmldoc.xpm
html.o:		html.h htmldoc.h image.h iso8859.h progress.h types.h
htmldoc.o:	gui.h html.h htmldoc.h image.h iso8859.h progress.h types.h
htmllib.o:	debug.h htmldoc.h html.h image.h iso8859.h progress.h types.h
http.o:		http.h hdstring.h
image.o:	debug.h htmldoc.h image.h progress.h types.h
iso8859.o:	iso8859.h types.h
md5.o:		md5.h
ps-pdf.o:	debug.h html.h htmldoc.h image.h iso8859.h md5.h progress.h \
		rc4.h types.h
rc4.o:		rc4.h
string.o:	hdstring.h
toc.o:		html.h htmldoc.h image.h iso8859.h types.h
util.o:		htmldoc.h types.h

#
# testhtml
#

testhtml:	testhtml.o file.o gui.o htmllibd.o http.o image.o iso8859.o \
		md5.o rc4.o progress.o ps-pdf.o toc.o util.o html.o ../Makedefs
	echo Linking $@...
	$(CXX) $(LDFLAGS) -o testhtml testhtml.o file.o gui.o htmllibd.o \
		http.o image.o iso8859.o progress.o ps-pdf.o toc.o util.o \
		md5.o rc4.o html.o $(LIBS)

testhtml.o:	gui.h html.h htmldoc.h image.h iso8859.h progress.h types.h
htmllibd.o:	htmllib.cxx ../config.h ../Makedefs debug.h html.h htmldoc.h \
		image.h iso8859.h types.h
	echo Compiling $<...
	$(CXX) $(CXXFLAGS) -DDEBUG -o htmllibd.o -c htmllib.cxx

$(OBJS):	../Makedefs ../config.h


#
# End of "$Id: Makefile,v 1.13.2.8 2001/12/20 15:55:20 mike Exp $".
#

=== jpeg/Makefile ===
#
# "$Id: Makefile,v 1.5.2.1 2001/02/02 15:11:04 mike Exp $"
#
#   JPEG library Makefile for the Common UNIX Printing System (CUPS).
#
#   Copyright 1997-2001 by Easy Software Products, all rights reserved.
#
#   These coded instructions, statements, and computer programs are the
#   property of Easy Software Products and are protected by Federal
#   copyright law.  Distribution and use rights are outlined in the file
#   "LICENSE.txt" which should have been included with this file.  If this
#   file is missing or damaged please contact Easy Software Products
#   at:
#
#       Attn: CUPS Licensing Information
#       Easy Software Products
#       44141 Airport View Drive, Suite 204
#       Hollywood, Maryland 20636-3111 USA
#
#       Voice: (301) 373-9603
#       EMail: cups-info@cups.org
#         WWW: http://www.cups.org
#

include ../Makedefs

#
# Object files...
#

OBJS	=	jmemnobs.o \
		jcapimin.o jcapistd.o jccoefct.o jccolor.o jcdctmgr.o \
		jchuff.o jcinit.o jcmainct.o jcmarker.o jcmaster.o jcomapi.o \
		jcparam.o jcphuff.o jcprepct.o jcsample.o jctrans.o \
		jdapimin.o jdapistd.o jdatadst.o jdatasrc.o jdcoefct.o \
		jdcolor.o jddctmgr.o jdhuff.o jdinput.o jdmainct.o jdmarker.o \
		jdmaster.o jdmerge.o jdphuff.o jdpostct.o jdsample.o \
		jdtrans.o jerror.o jfdctflt.o jfdctfst.o jfdctint.o \
		jidctflt.o jidctfst.o jidctint.o jidctred.o jquant1.o \
		jquant2.o jutils.o jmemmgr.o

#
# Make all targets...
#

all:	libjpeg.a

#
# Clean all targets and object files...
#

clean:
	$(RM) $(OBJS)
	$(RM) libjpeg.a

#
# libjpeg.a
#

libjpeg.a:	$(OBJS)
	echo Archiving $@...
	$(RM) $@
	$(AR) $(ARFLAGS) $@ $(OBJS)
	$(RANLIB) $@

$(OBJS):	jchuff.h jdhuff.h jdct.h jerror.h jinclude.h jmemsys.h \
		jmorecfg.h jpegint.h jpeglib.h jversion.h ../Makedefs

#
# End of "$Id: Makefile,v 1.5.2.1 2001/02/02 15:11:04 mike Exp $".
#

=== png/Makefile ===
#
# "$Id: Makefile,v 1.6.2.1 2001/02/02 15:11:05 mike Exp $"
#
#   PNG library Makefile for the Common UNIX Printing System (CUPS).
#
#   Makefile copyright 1997-2001 by Easy Software Products, all rights reserved.
#   PNG library copyright 1995 Guy Eric Schalnat, Group 42, Inc.
#   For conditions of distribution and use, see copyright notice in png.h
#
#   These coded instructions, statements, and computer programs are the
#   property of Easy Software Products and are protected by Federal
#   copyright law.  Distribution and use rights are outlined in the file
#   "LICENSE.txt" which should have been included with this file.  If this
#   file is missing or damaged please contact Easy Software Products
#   at:
#
#       Attn: CUPS Licensing Information
#       Easy Software Products
#       44141 Airport View Drive, Suite 204
#       Hollywood, Maryland 20636-3111 USA
#
#       Voice: (301) 373-9603
#       EMail: cups-info@cups.org
#         WWW: http://www.cups.org
#

include ../Makedefs

#
# Object files...
#

OBJS	=	png.o pngset.o pngget.o pngrutil.o pngtrans.o pngwutil.o \
		pngread.o pngrio.o pngwio.o pngwrite.o pngrtran.o \
		pngwtran.o pngmem.o pngerror.o pngpread.o

#
# Make all of the targets...
#

all:	libpng.a

#
# Clean all of the targets and object files...
#

clean:
	$(RM) $(OBJS)
	$(RM) libpng.a

#
# libpng.a
#

libpng.a:	$(OBJS)
	echo Archiving $@...
	$(RM) $@
	$(AR) $(ARFLAGS) $@  $(OBJS)
	$(RANLIB) $@

$(OBJS):	png.h pngconf.h ../Makedefs

#
# End of "$Id: Makefile,v 1.6.2.1 2001/02/02 15:11:05 mike Exp $".
#

=== zlib/Makefile ===
#
# "$Id: Makefile,v 1.6.2.1 2001/02/02 15:11:06 mike Exp $"
#
#   ZIP library Makefile for the Common UNIX Printing System (CUPS).
#
#   Makefile copyright 1997-2001 by Easy Software Products, all rights
#   reserved.
#   ZIP library copyright 1995-1998 Jean-loup Gailly.
#   For conditions of distribution and use, see copyright notice in zlib.h 
#
#   These coded instructions, statements, and computer programs are the
#   property of Easy Software Products and are protected by Federal
#   copyright law.  Distribution and use rights are outlined in the file
#   "LICENSE.txt" which should have been included with this file.  If this
#   file is missing or damaged please contact Easy Software Products
#   at:
#
#       Attn: CUPS Licensing Information
#       Easy Software Products
#       44141 Airport View Drive, Suite 204
#       Hollywood, Maryland 20636-3111 USA
#
#       Voice: (301) 373-9603
#       EMail: cups-info@cups.org
#         WWW: http://www.cups.org
#

include ../Makedefs

#
# Object files...
#

OBJS	=	adler32.o compress.o crc32.o gzio.o uncompr.o deflate.o \
		trees.o zutil.o inflate.o infblock.o inftrees.o infcodes.o \
		infutil.o inffast.o

#
# Make all targets...
#

all:	libz.a

#
# Clean all targets and object files...
#

clean:
	$(RM) $(OBJS)
	$(RM) libz.a

#
# libz.a
#

libz.a:	$(OBJS)
	echo Archiving $@...
	$(RM) $@
	$(AR) $(ARFLAGS) $@ $(OBJS)
	$(RANLIB) $@

$(OBJS):	zlib.h zconf.h ../Makedefs
deflate.o:	deflate.h zutil.h
gzio.o:		zutil.h
infblock.o:	infblock.h inftrees.h infcodes.h infutil.h zutil.h
infcodes.o:	zutil.h
infcodes.o:	inftrees.h infblock.h infcodes.h infutil.h inffast.h
inffast.o:	zutil.h inftrees.h
inffast.o:	infblock.h infcodes.h infutil.h inffast.h
inflate.o:	zutil.h infblock.h
inftrees.o:	zutil.h inftrees.h
infutil.o:	zutil.h infblock.h inftrees.h infcodes.h infutil.h
trees.o:	deflate.h zutil.h trees.h
zutil.o:	zutil.h

#
# End of "$Id: Makefile,v 1.6.2.1 2001/02/02 15:11:06 mike Exp $".
#

## htmldoc 1.8.23

=== doc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# "$Id: Makefile,v 1.11.2.6 2001/10/26 21:21:46 mike Exp $"
+# "$Id: Makefile,v 1.11.2.11 2002/07/31 19:14:54 mike Exp $"
 #
 #   Makefile for HTMLDOC documentation files.
 #
@@ -41,6 +41,8 @@
 DOCUMENTS =	htmldoc.html htmldoc.pdf htmldoc.ps
 DOCFILES =	help.html htmldoc.pdf
 
+HTMLDOC	=	../htmldoc/htmldoc$(EXEEXT) --strict --datadir .. --verbose
+
 
 #
 # Make everything...
@@ -78,26 +80,38 @@
 # htmldoc.html
 #
 
-htmldoc.html:	$(SOURCES) ../htmldoc/htmldoc
-	../htmldoc/htmldoc -v --datadir .. --batch htmldoc.book -f htmldoc.html --datadir ..
+htmldoc.html:	$(SOURCES) ../htmldoc/htmldoc$(EXEEXT)
+	echo Formatting htmldoc.html...
+	$(HTMLDOC) --batch htmldoc.book -f htmldoc.html
 
 
 #
 # htmldoc.pdf
 #
 
-htmldoc.pdf:	$(SOURCES) ../htmldoc/htmldoc
-	../htmldoc/htmldoc -v --datadir .. --batch htmldoc.book -f htmldoc.pdf --datadir ..
+htmldoc.pdf:	$(SOURCES) ../htmldoc/htmldoc$(EXEEXT)
+	echo Formatting htmldoc.pdf...
+	$(HTMLDOC) --batch htmldoc.book -f htmldoc.pdf
 
 
 #
 # htmldoc.ps
 #
 
-htmldoc.ps:	$(SOURCES) ../htmldoc/htmldoc
-	../htmldoc/htmldoc -v --datadir .. --batch htmldoc.book -f htmldoc.ps --datadir ..
+htmldoc.ps:	$(SOURCES) ../htmldoc/htmldoc$(EXEEXT)
+	echo Formatting htmldoc.ps...
+	$(HTMLDOC) --batch htmldoc.book -f htmldoc.ps
 
 
 #
-# End of "$Id: Makefile,v 1.11.2.6 2001/10/26 21:21:46 mike Exp $".
+# htmldoc.1
 #
+
+htmldoc.1:	htmldoc.man
+	echo Formatting htmldoc.1...
+	groff -T ascii -man htmldoc.man >htmldoc.1
+
+
+#
+# End of "$Id: Makefile,v 1.11.2.11 2002/07/31 19:14:54 mike Exp $".
+#

=== fonts/Makefile ===
#
# "$Id: Makefile,v 1.1.2.3 2002/06/06 19:43:37 mike Exp $"
#
#   Makefile for HTMLDOC font files.
#
#   Copyright 1997-2002 by Easy Software Products.
#
#   These coded instructions, statements, and computer programs are the
#   property of Easy Software Products and are protected by Federal
#   copyright law.  Distribution and use rights are outlined in the file
#   "COPYING.txt" which should have been included with this file.  If this
#   file is missing or damaged please contact Easy Software Products
#   at:
#
#       Attn: ESP Licensing Information
#       Easy Software Products
#       44141 Airport View Drive, Suite 204
#       Hollywood, Maryland 20636-3111 USA
#
#       Voice: (301) 373-9600
#       EMail: info@easysw.com
#         WWW: http://www.easysw.com
#

#
# Include common definitions...
#

include ../Makedefs


#
# Standard fonts...
#

FONTS	=	\
		Courier \
		Courier-Bold \
		Courier-BoldOblique \
		Courier-Oblique \
		Helvetica \
		Helvetica-Bold \
		Helvetica-BoldOblique \
		Helvetica-Oblique \
		Symbol \
		Times-Bold \
		Times-BoldItalic \
		Times-Italic \
		Times-Roman


#
# Make everything...
#

all:


#
# Install everything...
#

install:
	echo "Installing font files in $(datadir)/htmldoc/fonts..."
	if [ ! -d $(datadir)/htmldoc/fonts ]; then\
		$(MKDIR) $(datadir)/htmldoc/fonts;\
	fi
	for font in $(FONTS); do \
		$(CP) $$font.afm $(datadir)/htmldoc/fonts; \
		$(CP) $$font.pfa $(datadir)/htmldoc/fonts; \
	done
	$(CHMOD) ugo+r $(datadir)/htmldoc/fonts/*


#
# Uninstall everything...
#

uninstall:
	echo "Uninstalling font files from $(datadir)/htmldoc/fonts..."
	for font in $(FONTS); do \
		$(RM) $(datadir)/htmldoc/fonts/$$font.afm; \
		$(RM) $(datadir)/htmldoc/fonts/$$font.pfa; \
	done
	-$(RMDIR) $(datadir)/htmldoc/fonts


#
# Clean out object and library files...
#

clean:


#
# End of "$Id: Makefile,v 1.1.2.3 2002/06/06 19:43:37 mike Exp $".
#

=== htmldoc/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #
-#   "$Id: Makefile,v 1.13.2.8 2001/12/20 15:55:20 mike Exp $"
+#   "$Id: Makefile,v 1.13.2.10 2002/07/08 17:11:10 mike Exp $"
 #
 #   Makefile for HTMLDOC, an HTML document processing program.
 #
-#   Copyright 1997-2001 by Easy Software Products.
+#   Copyright 1997-2002 by Easy Software Products.
 #
 #   These coded instructions, statements, and computer programs are the
 #   property of Easy Software Products and are protected by Federal
@@ -42,7 +42,7 @@
 # Make everything...
 #
 
-all:	htmldoc
+all:	htmldoc$(EXEEXT)
 
 #
 # Install everything...
@@ -52,8 +52,8 @@
 	if [ ! -d $(bindir) ]; then\
 		$(MKDIR) $(bindir);\
 	fi
-	cp htmldoc $(bindir)
-	chmod ugo+rx $(bindir)/htmldoc
+	cp htmldoc$(EXEEXT) $(bindir)
+	chmod ugo+rx $(bindir)/htmldoc$(EXEEXT)
 
 
 #
@@ -61,20 +61,20 @@
 #
 
 clean:
-	rm -f $(OBJS) htmldoc
+	rm -f $(OBJS) htmldoc$(EXEEXT)
 
 #
 # htmldoc
 #
 
-htmldoc:	$(OBJS) ../Makedefs
+htmldoc$(EXEEXT):	$(OBJS) ../Makedefs
 	echo Linking $@...
-	$(CXX) $(LDFLAGS) -o htmldoc $(OBJS) $(LIBS)
-	$(POST) htmldoc
+	$(CXX) $(LDFLAGS) -o htmldoc$(EXEEXT) $(OBJS) $(LIBS)
+	$(POST) htmldoc$(EXEEXT)
 
-htmldoc.purify:	$(OBJS) ../Makedefs
+htmldoc.purify$(EXEEXT):	$(OBJS) ../Makedefs
 	echo Linking $@...
-	purify $(CXX) $(LDFLAGS) -o htmldoc.purify $(OBJS) $(LIBS)
+	purify $(CXX) $(LDFLAGS) -o htmldoc.purify$(EXEEXT) $(OBJS) $(LIBS)
 
 file.o:		file.h http.h md5.h progress.h hdstring.h
 gui.o:		gui.h html.h htmldoc.h image.h iso8859.h progress.h \
@@ -97,10 +97,10 @@
 # testhtml
 #
 
-testhtml:	testhtml.o file.o gui.o htmllibd.o http.o image.o iso8859.o \
+testhtml$(EXEEXT):	testhtml.o file.o gui.o htmllibd.o http.o image.o iso8859.o \
 		md5.o rc4.o progress.o ps-pdf.o toc.o util.o html.o ../Makedefs
 	echo Linking $@...
-	$(CXX) $(LDFLAGS) -o testhtml testhtml.o file.o gui.o htmllibd.o \
+	$(CXX) $(LDFLAGS) -o testhtml$(EXEEXT) testhtml.o file.o gui.o htmllibd.o \
 		http.o image.o iso8859.o progress.o ps-pdf.o toc.o util.o \
 		md5.o rc4.o html.o $(LIBS)
 
@@ -114,5 +114,5 @@
 
 
 #
-# End of "$Id: Makefile,v 1.13.2.8 2001/12/20 15:55:20 mike Exp $".
+# End of "$Id: Makefile,v 1.13.2.10 2002/07/08 17:11:10 mike Exp $".
 #

=== jpeg/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
-# "$Id: Makefile,v 1.5.2.1 2001/02/02 15:11:04 mike Exp $"
+# "$Id: Makefile,v 1.5.2.3 2002/09/11 19:24:40 swdev Exp $"
 #
-#   JPEG library Makefile for the Common UNIX Printing System (CUPS).
+#   JPEG library Makefile for the HTMLDOC software.
 #
 #   Copyright 1997-2001 by Easy Software Products, all rights reserved.
 #
@@ -12,14 +12,14 @@
 #   file is missing or damaged please contact Easy Software Products
 #   at:
 #
-#       Attn: CUPS Licensing Information
+#       Attn: HTMLDOC Licensing Information
 #       Easy Software Products
 #       44141 Airport View Drive, Suite 204
 #       Hollywood, Maryland 20636-3111 USA
 #
 #       Voice: (301) 373-9603
-#       EMail: cups-info@cups.org
-#         WWW: http://www.cups.org
+#       EMail: info@easysw.com
+#         WWW: http://www.easysw.com
 #
 
 include ../Makedefs
@@ -67,5 +67,5 @@
 		jmorecfg.h jpegint.h jpeglib.h jversion.h ../Makedefs
 
 #
-# End of "$Id: Makefile,v 1.5.2.1 2001/02/02 15:11:04 mike Exp $".
+# End of "$Id: Makefile,v 1.5.2.3 2002/09/11 19:24:40 swdev Exp $".
 #

=== png/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
-# "$Id: Makefile,v 1.6.2.1 2001/02/02 15:11:05 mike Exp $"
+# "$Id: Makefile,v 1.6.2.3 2002/09/11 19:24:41 swdev Exp $"
 #
-#   PNG library Makefile for the Common UNIX Printing System (CUPS).
+#   PNG library Makefile for the HTMLDOC software.
 #
 #   Makefile copyright 1997-2001 by Easy Software Products, all rights reserved.
 #   PNG library copyright 1995 Guy Eric Schalnat, Group 42, Inc.
@@ -14,14 +14,14 @@
 #   file is missing or damaged please contact Easy Software Products
 #   at:
 #
-#       Attn: CUPS Licensing Information
+#       Attn: HTMLDOC Licensing Information
 #       Easy Software Products
 #       44141 Airport View Drive, Suite 204
 #       Hollywood, Maryland 20636-3111 USA
 #
 #       Voice: (301) 373-9603
-#       EMail: cups-info@cups.org
-#         WWW: http://www.cups.org
+#       EMail: info@easysw.com
+#         WWW: http://www.easysw.com
 #
 
 include ../Makedefs
@@ -61,5 +61,5 @@
 $(OBJS):	png.h pngconf.h ../Makedefs
 
 #
-# End of "$Id: Makefile,v 1.6.2.1 2001/02/02 15:11:05 mike Exp $".
+# End of "$Id: Makefile,v 1.6.2.3 2002/09/11 19:24:41 swdev Exp $".
 #

=== zlib/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
-# "$Id: Makefile,v 1.6.2.1 2001/02/02 15:11:06 mike Exp $"
+# "$Id: Makefile,v 1.6.2.3 2002/09/11 19:24:42 swdev Exp $"
 #
-#   ZIP library Makefile for the Common UNIX Printing System (CUPS).
+#   ZIP library Makefile for the HTMLDOC software.
 #
 #   Makefile copyright 1997-2001 by Easy Software Products, all rights
 #   reserved.
@@ -15,14 +15,14 @@
 #   file is missing or damaged please contact Easy Software Products
 #   at:
 #
-#       Attn: CUPS Licensing Information
+#       Attn: HTMLDOC Licensing Information
 #       Easy Software Products
 #       44141 Airport View Drive, Suite 204
 #       Hollywood, Maryland 20636-3111 USA
 #
 #       Voice: (301) 373-9603
-#       EMail: cups-info@cups.org
-#         WWW: http://www.cups.org
+#       EMail: info@easysw.com
+#         WWW: http://www.easysw.com
 #
 
 include ../Makedefs
@@ -74,5 +74,5 @@
 zutil.o:	zutil.h
 
 #
-# End of "$Id: Makefile,v 1.6.2.1 2001/02/02 15:11:06 mike Exp $".
+# End of "$Id: Makefile,v 1.6.2.3 2002/09/11 19:24:42 swdev Exp $".
 #

## htmldoc 1.8.24

=== data/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# "$Id: Makefile,v 1.4.2.4 2001/07/26 20:38:26 mike Exp $"
+# "$Id: Makefile,v 1.4.2.6 2004/05/10 01:14:53 mike Exp $"
 #
 #   Makefile for HTMLDOC data files.
 #
@@ -15,7 +15,7 @@
 #       Attn: ESP Licensing Information
 #       Easy Software Products
 #       44141 Airport View Drive, Suite 204
-#       Hollywood, Maryland 20636-3111 USA
+#       Hollywood, Maryland 20636-3142 USA
 #
 #       Voice: (301) 373-9600
 #       EMail: info@easysw.com
@@ -33,9 +33,12 @@
 # Character set/glyph files...
 #
 
-FILES	=	iso-8859-1 iso-8859-14 iso-8859-15 iso-8859-2 iso-8859-3 \
+FILES	=	cp-1250 cp-1251 cp-1252 cp-1253 cp-1254 cp-1255 \
+		cp-1256 cp-1257 cp-1258 cp-874 \
+		iso-8859-1 iso-8859-14 iso-8859-15 iso-8859-2 iso-8859-3 \
 		iso-8859-4 iso-8859-5 iso-8859-6 iso-8859-7 iso-8859-8 \
-		iso-8859-9 koi8-r prolog.ps psglyphs
+		iso-8859-9 \
+		koi8-r prolog.ps psglyphs
 
 
 #
@@ -64,5 +67,5 @@
 clean:
 
 #
-# End of "$Id: Makefile,v 1.4.2.4 2001/07/26 20:38:26 mike Exp $".
+# End of "$Id: Makefile,v 1.4.2.6 2004/05/10 01:14:53 mike Exp $".
 #

=== doc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# "$Id: Makefile,v 1.11.2.11 2002/07/31 19:14:54 mike Exp $"
+# "$Id: Makefile,v 1.11.2.14 2004/10/24 22:32:32 mike Exp $"
 #
 #   Makefile for HTMLDOC documentation files.
 #
@@ -15,7 +15,7 @@
 #       Attn: ESP Licensing Information
 #       Easy Software Products
 #       44141 Airport View Drive, Suite 204
-#       Hollywood, Maryland 20636-3111 USA
+#       Hollywood, Maryland 20636-3142 USA
 #
 #       Voice: (301) 373-9600
 #       EMail: info@easysw.com
@@ -36,7 +36,8 @@
 SOURCES	=	intro.html 1-install.html 2-starting.html \
 		3-books.html 4-cmdline.html 5-cgi.html \
 		6-htmlref.html 7-guiref.html 8-cmdref.html \
-		a-license.html b-book.html c-relnotes.html
+		a-license.html b-book.html c-relnotes.html \
+		d-compile.html
 
 DOCUMENTS =	htmldoc.html htmldoc.pdf htmldoc.ps
 DOCFILES =	help.html htmldoc.pdf
@@ -77,6 +78,14 @@
 
 
 #
+# htmldoc program (dummy rule)
+#
+
+../htmldoc/htmldoc$(EXEEXT):
+	echo Rebuilding documentation...
+
+
+#
 # htmldoc.html
 #
 
@@ -113,5 +122,5 @@
 
 
 #
-# End of "$Id: Makefile,v 1.11.2.11 2002/07/31 19:14:54 mike Exp $".
+# End of "$Id: Makefile,v 1.11.2.14 2004/10/24 22:32:32 mike Exp $".
 #

=== fonts/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# "$Id: Makefile,v 1.1.2.3 2002/06/06 19:43:37 mike Exp $"
+# "$Id: Makefile,v 1.1.2.4 2004/05/10 01:14:53 mike Exp $"
 #
 #   Makefile for HTMLDOC font files.
 #
@@ -15,7 +15,7 @@
 #       Attn: ESP Licensing Information
 #       Easy Software Products
 #       44141 Airport View Drive, Suite 204
-#       Hollywood, Maryland 20636-3111 USA
+#       Hollywood, Maryland 20636-3142 USA
 #
 #       Voice: (301) 373-9600
 #       EMail: info@easysw.com
@@ -93,5 +93,5 @@
 
 
 #
-# End of "$Id: Makefile,v 1.1.2.3 2002/06/06 19:43:37 mike Exp $".
+# End of "$Id: Makefile,v 1.1.2.4 2004/05/10 01:14:53 mike Exp $".
 #

=== htmldoc/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #
-#   "$Id: Makefile,v 1.13.2.10 2002/07/08 17:11:10 mike Exp $"
+#   "$Id: Makefile-oss,v 1.13.2.21 2004/07/21 19:32:23 mike Exp $"
 #
 #   Makefile for HTMLDOC, an HTML document processing program.
 #
-#   Copyright 1997-2002 by Easy Software Products.
+#   Copyright 1997-2004 by Easy Software Products.
 #
 #   These coded instructions, statements, and computer programs are the
 #   property of Easy Software Products and are protected by Federal
@@ -15,7 +15,7 @@
 #       Attn: ESP Licensing Information
 #       Easy Software Products
 #       44141 Airport View Drive, Suite 204
-#       Hollywood, Maryland 20636-3111 USA
+#       Hollywood, Maryland 20636-3142 USA
 #
 #       Voice: (301) 373-9600
 #       EMail: info@easysw.com
@@ -33,9 +33,9 @@
 # Object files...
 #
 
-OBJS	=	gui.o file.o html.o htmldoc.o htmllib.o http.o \
-		image.o iso8859.o md5.o progress.o ps-pdf.o rc4.o \
-		snprintf.o string.o toc.o util.o
+OBJS	=	gui.o file.o html.o htmldoc.o htmllib.o htmlsep.o http.o \
+		http-addr.o http-support.o image.o iso8859.o license.o md5.o \
+		progress.o ps-pdf.o rc4.o snprintf.o string.o toc.o util.o
 
 
 #
@@ -63,6 +63,7 @@
 clean:
 	rm -f $(OBJS) htmldoc$(EXEEXT)
 
+
 #
 # htmldoc
 #
@@ -78,13 +79,17 @@
 
 file.o:		file.h http.h md5.h progress.h hdstring.h
 gui.o:		gui.h html.h htmldoc.h image.h iso8859.h progress.h \
-		types.h htmldoc.xbm htmldoc.xpm
+		types.h ../desktop/htmldoc.xbm ../desktop/htmldoc.xpm
 html.o:		html.h htmldoc.h image.h iso8859.h progress.h types.h
 htmldoc.o:	gui.h html.h htmldoc.h image.h iso8859.h progress.h types.h
 htmllib.o:	debug.h htmldoc.h html.h image.h iso8859.h progress.h types.h
-http.o:		http.h hdstring.h
+htmlsep.o:	html.h htmldoc.h image.h iso8859.h progress.h types.h
+http.o:		http.h http-private.h hdstring.h
+http-addr.o:	http.h http-private.h hdstring.h
+http-support.o:	http.h http-private.h hdstring.h
 image.o:	debug.h htmldoc.h image.h progress.h types.h
 iso8859.o:	iso8859.h types.h
+license.o:	gui.h
 md5.o:		md5.h
 ps-pdf.o:	debug.h html.h htmldoc.h image.h iso8859.h md5.h progress.h \
 		rc4.h types.h
@@ -93,16 +98,20 @@
 toc.o:		html.h htmldoc.h image.h iso8859.h types.h
 util.o:		htmldoc.h types.h
 
+
 #
 # testhtml
 #
 
-testhtml$(EXEEXT):	testhtml.o file.o gui.o htmllibd.o http.o image.o iso8859.o \
-		md5.o rc4.o progress.o ps-pdf.o toc.o util.o html.o ../Makedefs
+testhtml$(EXEEXT):	testhtml.o file.o gui.o htmllibd.o http.o \
+		http-addr.o http-support.o image.o iso8859.o license.o \
+		md5.o rc4.o progress.o ps-pdf.o toc.o util.o html.o \
+		htmlsep.o string.o ../Makedefs
 	echo Linking $@...
 	$(CXX) $(LDFLAGS) -o testhtml$(EXEEXT) testhtml.o file.o gui.o htmllibd.o \
-		http.o image.o iso8859.o progress.o ps-pdf.o toc.o util.o \
-		md5.o rc4.o html.o $(LIBS)
+		http.o http-addr.o http-support.o image.o iso8859.o license.o \
+		progress.o ps-pdf.o toc.o util.o string.o \
+		md5.o rc4.o html.o htmlsep.o $(LIBS)
 
 testhtml.o:	gui.h html.h htmldoc.h image.h iso8859.h progress.h types.h
 htmllibd.o:	htmllib.cxx ../config.h ../Makedefs debug.h html.h htmldoc.h \
@@ -114,5 +123,5 @@
 
 
 #
-# End of "$Id: Makefile,v 1.13.2.10 2002/07/08 17:11:10 mike Exp $".
+# End of "$Id: Makefile-oss,v 1.13.2.21 2004/07/21 19:32:23 mike Exp $".
 #

=== jpeg/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# "$Id: Makefile,v 1.5.2.3 2002/09/11 19:24:40 swdev Exp $"
+# "$Id: Makefile,v 1.5.2.4 2004/05/10 01:14:53 mike Exp $"
 #
 #   JPEG library Makefile for the HTMLDOC software.
 #
@@ -15,9 +15,9 @@
 #       Attn: HTMLDOC Licensing Information
 #       Easy Software Products
 #       44141 Airport View Drive, Suite 204
-#       Hollywood, Maryland 20636-3111 USA
+#       Hollywood, Maryland 20636-3142 USA
 #
-#       Voice: (301) 373-9603
+#       Voice: (301) 373-9600
 #       EMail: info@easysw.com
 #         WWW: http://www.easysw.com
 #
@@ -67,5 +67,5 @@
 		jmorecfg.h jpegint.h jpeglib.h jversion.h ../Makedefs
 
 #
-# End of "$Id: Makefile,v 1.5.2.3 2002/09/11 19:24:40 swdev Exp $".
+# End of "$Id: Makefile,v 1.5.2.4 2004/05/10 01:14:53 mike Exp $".
 #

=== png/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# "$Id: Makefile,v 1.6.2.3 2002/09/11 19:24:41 swdev Exp $"
+# "$Id: Makefile,v 1.6.2.4 2004/05/10 01:14:53 mike Exp $"
 #
 #   PNG library Makefile for the HTMLDOC software.
 #
@@ -17,9 +17,9 @@
 #       Attn: HTMLDOC Licensing Information
 #       Easy Software Products
 #       44141 Airport View Drive, Suite 204
-#       Hollywood, Maryland 20636-3111 USA
+#       Hollywood, Maryland 20636-3142 USA
 #
-#       Voice: (301) 373-9603
+#       Voice: (301) 373-9600
 #       EMail: info@easysw.com
 #         WWW: http://www.easysw.com
 #
@@ -61,5 +61,5 @@
 $(OBJS):	png.h pngconf.h ../Makedefs
 
 #
-# End of "$Id: Makefile,v 1.6.2.3 2002/09/11 19:24:41 swdev Exp $".
+# End of "$Id: Makefile,v 1.6.2.4 2004/05/10 01:14:53 mike Exp $".
 #

=== zlib/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# "$Id: Makefile,v 1.6.2.3 2002/09/11 19:24:42 swdev Exp $"
+# "$Id: Makefile,v 1.6.2.5 2004/09/24 03:21:10 mike Exp $"
 #
 #   ZIP library Makefile for the HTMLDOC software.
 #
@@ -18,9 +18,9 @@
 #       Attn: HTMLDOC Licensing Information
 #       Easy Software Products
 #       44141 Airport View Drive, Suite 204
-#       Hollywood, Maryland 20636-3111 USA
+#       Hollywood, Maryland 20636-3142 USA
 #
-#       Voice: (301) 373-9603
+#       Voice: (301) 373-9600
 #       EMail: info@easysw.com
 #         WWW: http://www.easysw.com
 #
@@ -32,8 +32,7 @@
 #
 
 OBJS	=	adler32.o compress.o crc32.o gzio.o uncompr.o deflate.o \
-		trees.o zutil.o inflate.o infblock.o inftrees.o infcodes.o \
-		infutil.o inffast.o
+		trees.o zutil.o inflate.o inftrees.o inffast.o
 
 #
 # Make all targets...
@@ -60,19 +59,15 @@
 	$(RANLIB) $@
 
 $(OBJS):	zlib.h zconf.h ../Makedefs
+crc32.o:	zutil.h crc32.h
+gzio.o:		zutil.h
 deflate.o:	deflate.h zutil.h
-gzio.o:		zutil.h
-infblock.o:	infblock.h inftrees.h infcodes.h infutil.h zutil.h
-infcodes.o:	zutil.h
-infcodes.o:	inftrees.h infblock.h infcodes.h infutil.h inffast.h
-inffast.o:	zutil.h inftrees.h
-inffast.o:	infblock.h infcodes.h infutil.h inffast.h
-inflate.o:	zutil.h infblock.h
-inftrees.o:	zutil.h inftrees.h
-infutil.o:	zutil.h infblock.h inftrees.h infcodes.h infutil.h
 trees.o:	deflate.h zutil.h trees.h
 zutil.o:	zutil.h
+inflate.o:	zutil.h inftrees.h inflate.h inffast.h inffixed.h
+inftrees.o:	zutil.h inftrees.h
+inffast.o:	zutil.h inftrees.h inflate.h inffast.h
 
 #
-# End of "$Id: Makefile,v 1.6.2.3 2002/09/11 19:24:42 swdev Exp $".
+# End of "$Id: Makefile,v 1.6.2.5 2004/09/24 03:21:10 mike Exp $".
 #

## htmldoc 1.8.27

=== data/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# "$Id: Makefile,v 1.4.2.6 2004/05/10 01:14:53 mike Exp $"
+# "$Id: Makefile 1202 2004-05-10 01:14:53Z mike $"
 #
 #   Makefile for HTMLDOC data files.
 #
@@ -67,5 +67,5 @@
 clean:
 
 #
-# End of "$Id: Makefile,v 1.4.2.6 2004/05/10 01:14:53 mike Exp $".
+# End of "$Id: Makefile 1202 2004-05-10 01:14:53Z mike $".
 #

=== doc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# "$Id: Makefile,v 1.11.2.14 2004/10/24 22:32:32 mike Exp $"
+# "$Id: Makefile 1439 2005-10-28 20:32:59Z mike $"
 #
 #   Makefile for HTMLDOC documentation files.
 #
@@ -42,7 +42,7 @@
 DOCUMENTS =	htmldoc.html htmldoc.pdf htmldoc.ps
 DOCFILES =	help.html htmldoc.pdf
 
-HTMLDOC	=	../htmldoc/htmldoc$(EXEEXT) --strict --datadir .. --verbose
+HTMLDOC	=	../htmldoc/htmldoc$(EXEEXT) --datadir .. --strict --verbose
 
 
 #
@@ -122,5 +122,5 @@
 
 
 #
-# End of "$Id: Makefile,v 1.11.2.14 2004/10/24 22:32:32 mike Exp $".
+# End of "$Id: Makefile 1439 2005-10-28 20:32:59Z mike $".
 #

=== fonts/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# "$Id: Makefile,v 1.1.2.4 2004/05/10 01:14:53 mike Exp $"
+# "$Id: Makefile 1439 2005-10-28 20:32:59Z mike $"
 #
 #   Makefile for HTMLDOC font files.
 #
@@ -38,10 +38,23 @@
 		Courier-Bold \
 		Courier-BoldOblique \
 		Courier-Oblique \
+		Dingbats \
 		Helvetica \
 		Helvetica-Bold \
 		Helvetica-BoldOblique \
 		Helvetica-Oblique \
+		Monospace \
+		Monospace-Bold \
+		Monospace-BoldOblique \
+		Monospace-Oblique \
+		Sans \
+		Sans-Bold \
+		Sans-BoldOblique \
+		Sans-Oblique \
+		Serif-Roman \
+		Serif-Bold \
+		Serif-BoldOblique \
+		Serif-Oblique \
 		Symbol \
 		Times-Bold \
 		Times-BoldItalic \
@@ -93,5 +106,5 @@
 
 
 #
-# End of "$Id: Makefile,v 1.1.2.4 2004/05/10 01:14:53 mike Exp $".
+# End of "$Id: Makefile 1439 2005-10-28 20:32:59Z mike $".
 #

=== htmldoc/Makefile ===
#
#   "$Id: Makefile 1439 2005-10-28 20:32:59Z mike $"
#
#   Makefile for HTMLDOC, an HTML document processing program.
#
#   Copyright 1997-2005 by Easy Software Products.
#
#   These coded instructions, statements, and computer programs are the
#   property of Easy Software Products and are protected by Federal
#   copyright law.  Distribution and use rights are outlined in the file
#   "COPYING.txt" which should have been included with this file.  If this
#   file is missing or damaged please contact Easy Software Products
#   at:
#
#       Attn: ESP Licensing Information
#       Easy Software Products
#       44141 Airport View Drive, Suite 204
#       Hollywood, Maryland 20636-3142 USA
#
#       Voice: (301) 373-9600
#       EMail: info@easysw.com
#         WWW: http://www.easysw.com
#

#
# Include common definitions...
#

include ../Makedefs


#
# Object files...
#

OBJS	=	gui.o file.o html.o htmldoc.o htmllib.o htmlsep.o \
		http.o http-addr.o http-addrlist.o http-support.o image.o \
		iso8859.o license.o md5.o progress.o ps-pdf.o rc4.o \
		snprintf.o string.o toc.o util.o


#
# Make everything...
#

all:	htmldoc$(EXEEXT)

#
# Install everything...
#

install:	all
	if [ ! -d $(bindir) ]; then\
		$(MKDIR) $(bindir);\
	fi
	cp htmldoc$(EXEEXT) $(bindir)
	chmod ugo+rx $(bindir)/htmldoc$(EXEEXT)


#
# Clean out object and executable files...
#

clean:
	rm -f $(OBJS) htmldoc$(EXEEXT)


#
# Update dependencies...
#

depend:
	makedepend -Y -I.. -fDependencies $(OBJS:.o=.c) $(OBJS:.o=.cxx) >/dev/null 2>&1


#
# htmldoc
#

htmldoc$(EXEEXT):	$(OBJS) ../Makedefs
	echo Linking $@...
	$(CXX) $(LDFLAGS) -o htmldoc$(EXEEXT) $(OBJS) $(LIBS)
	$(POST) htmldoc$(EXEEXT)

$(OBJS):	../Makedefs
include Dependencies


#
# End of "$Id: Makefile 1439 2005-10-28 20:32:59Z mike $".
#

=== jpeg/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# "$Id: Makefile,v 1.5.2.4 2004/05/10 01:14:53 mike Exp $"
+# "$Id: Makefile 1202 2004-05-10 01:14:53Z mike $"
 #
 #   JPEG library Makefile for the HTMLDOC software.
 #
@@ -67,5 +67,5 @@
 		jmorecfg.h jpegint.h jpeglib.h jversion.h ../Makedefs
 
 #
-# End of "$Id: Makefile,v 1.5.2.4 2004/05/10 01:14:53 mike Exp $".
+# End of "$Id: Makefile 1202 2004-05-10 01:14:53Z mike $".
 #

=== png/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# "$Id: Makefile,v 1.6.2.4 2004/05/10 01:14:53 mike Exp $"
+# "$Id: Makefile 1202 2004-05-10 01:14:53Z mike $"
 #
 #   PNG library Makefile for the HTMLDOC software.
 #
@@ -61,5 +61,5 @@
 $(OBJS):	png.h pngconf.h ../Makedefs
 
 #
-# End of "$Id: Makefile,v 1.6.2.4 2004/05/10 01:14:53 mike Exp $".
+# End of "$Id: Makefile 1202 2004-05-10 01:14:53Z mike $".
 #

=== zlib/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# "$Id: Makefile,v 1.6.2.5 2004/09/24 03:21:10 mike Exp $"
+# "$Id: Makefile 1334 2004-09-24 03:21:10Z mike $"
 #
 #   ZIP library Makefile for the HTMLDOC software.
 #
@@ -69,5 +69,5 @@
 inffast.o:	zutil.h inftrees.h inflate.h inffast.h
 
 #
-# End of "$Id: Makefile,v 1.6.2.5 2004/09/24 03:21:10 mike Exp $".
+# End of "$Id: Makefile 1334 2004-09-24 03:21:10Z mike $".
 #

=== debian/changelog ===
htmldoc (1.8.27-8+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Add patch to fix a buffer underflow issue with GCC on Linux.
    (Fixes: CVE-2019-19630)

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Mon, 09 Dec 2019 14:18:45 +0530

htmldoc (1.8.27-8) unstable; urgency=low

  * Use dpkg-buildflags if available.
  * Update Standards-Version.

 -- Jeff Licquia <licquia@debian.org>  Sun, 06 May 2012 21:17:09 -0400

htmldoc (1.8.27-7) unstable; urgency=low

  * Add patch from upstream bug tracker to fix libpng 1.5 builds.
    Closes: #650562.

 -- Jeff Licquia <licquia@debian.org>  Sun, 04 Dec 2011 22:44:12 -0500

htmldoc (1.8.27-6) unstable; urgency=low

  * Add build-arch and build-indep to debian/rules per the
    (potential?) release goal for wheezy.
  * Update Standards-Version.

 -- Jeff Licquia <licquia@debian.org>  Mon, 21 Nov 2011 10:47:20 -0500

htmldoc (1.8.27-5) unstable; urgency=low

  * Acknowledge and pull in security team NMU.  Closes: #537637.
  * Switch to 3.0 (quilt) source format, and separate patches.
  * Tweak build system to produce more useful information on build
    failures.
  * Build-Depend on libxpm-dev to fix a FTBFS with newer X11 dev packages.
    Closes: #554803.
  * Fix lintian warnings.

 -- Jeff Licquia <licquia@debian.org>  Sun, 20 Feb 2011 12:58:34 -0500

htmldoc (1.8.27-4.1) unstable; urgency=high

  * Non-maintainer upload by the testing Security Team.
  * Fixed CVE-2009-3050: Stack-based buffer overflow when setting custom page
    output size (Closes: #537637)

 -- Giuseppe Iuculano <iuculano@debian.org>  Tue, 06 Oct 2009 23:11:59 +0200

htmldoc (1.8.27-4) unstable; urgency=low

  * Add watch file.
  * Update Standards-Version.
  * Fix Homepage to work in browsers that don't automatically try
    the "www" prefix on bare domains.  Closes: #504322.
  * Update debhelper compatibility version.

 -- Jeff Licquia <licquia@debian.org>  Sun, 29 Mar 2009 22:49:56 -0400

htmldoc (1.8.27-3) unstable; urgency=low

  * Add Homepage and Vcs-* fields in debian/control.
  * Update Standards-Version.
  * Fix missing figures in HTML documentation.  Closes: #412354.
  * Miscellaneous lintian cleanups.

 -- Jeff Licquia <licquia@debian.org>  Sun, 20 Jan 2008 20:48:50 -0500

htmldoc (1.8.27-2) unstable; urgency=low

  * Make sure we can upgrade from earlier versions of htmldoc, with
    the man page move.  Closes: #388809.

 -- Jeff Licquia <licquia@debian.org>  Mon, 25 Sep 2006 08:07:07 -0400

htmldoc (1.8.27-1) unstable; urgency=low

  * New upstream version.
  * Fix priority.
  * Move man page to htmldoc-common.

 -- Jeff Licquia <licquia@debian.org>  Sun,  3 Sep 2006 14:21:46 -0400

htmldoc (1.8.26-1) unstable; urgency=low

  * New upstream version.
  * Fix the man page to report the proper charset parameters.
    Closes: #340473.
  * We now seem to be able to handle PNG images without crashing.
    Closes: #257427.
  * Update Standards-Version.

 -- Jeff Licquia <licquia@debian.org>  Sat, 19 Aug 2006 16:05:49 -0400

htmldoc (1.8.25-1) unstable; urgency=low

  * New upstream version.  Closes: #346067.
  * Upstream fix for headers/footers.  Closes: #230980.
  * Upstream fix for 64-bit segfaults.  Closes: #351569.

 -- Jeff Licquia <licquia@debian.org>  Mon,  6 Feb 2006 20:01:09 -0500

htmldoc (1.8.24-2) unstable; urgency=low

  * Add Replaces/Conflicts to aid upgrades from before the package
    split.  Closes: #320840.

 -- Jeff Licquia <licquia@debian.org>  Tue,  2 Aug 2005 18:37:53 -0500

htmldoc (1.8.24-1) unstable; urgency=low

  * New upstream version...  Closes: #291704.
  * ...which does proper typecasting on char array indexes.
    Closes: #222204.
  * Thanks to all the NMUs.  Closes: #196882, #241101, #300460.
  * Rebuilt with new C++.  Closes: #318460.
  * Fix build dependencies to not require specific versions of the
    JPEG and PNG libraries.
  * Fix debian/docs so we don't have to list docs/* individually.
  * Set bindir on install rule.
  * Enable OpenSSL support.  Closes: #281791.
  * Fix somewhat confusing URI in man page.  Closes: #279846.
  * Split /usr/share/htmldoc and documentation into a separate
    htmldoc-common package.  Closes: #233375.

 -- Jeff Licquia <licquia@debian.org>  Sun, 17 Jul 2005 10:28:53 +0000

htmldoc (1.8.23-1.3) unstable; urgency=high

  * Non-maintainer upload.
  * Closes: #300460 (htmldoc: segfault when generating ps or pdf), using
    patch by Mark Hymers <mark.hymers@ncl.ac.uk>.
  * urgency=high since it is an RC bug.

 -- Lars Wirzenius <liw@iki.fi>  Sun,  3 Apr 2005 17:01:00 +0300

htmldoc (1.8.23-1.2) unstable; urgency=high

  * NMU sent in delayed queue
  * Closes: #241101 "segfault when generating ps or pdf"
  * urgency high since it is a RC bug

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 30 Jul 2004 22:02:10 +0200

htmldoc (1.8.23-1.1) unstable; urgency=low

  * NMU in accordance with Jeff.
  * Rebuild for current sid (Closes: #196882).

 -- Yann Dirson <dirson@debian.org>  Thu, 20 Nov 2003 17:16:47 +0100

htmldoc (1.8.23-1) unstable; urgency=low

  * New upstream version.  Closes: #192807.
  * Rebuilt against new libfltk.  Closes: #192794.
  * Updated Standards-Version.
  * Updated copyright file.
  * Fixed a minor problem in the Description field of debian/control.

 -- Jeff Licquia <licquia@debian.org>  Sat, 10 May 2003 15:19:07 -0500

htmldoc (1.8.22-3) unstable; urgency=low

  * Rebuilt with g++ 3.2 and latest libfltk1.1.  Closes: #176145.

 -- Jeff Licquia <licquia@debian.org>  Sun, 23 Feb 2003 14:53:36 -0500

htmldoc (1.8.22-2) unstable; urgency=low

  * By request of the FLTK maintainer, build with libfltk1.1 now.
    Closes: #166564.
  * Tell dh_installdocs to not munge the package scripts, so the
    compatibility symlink goes away.

 -- Jeff Licquia <licquia@debian.org>  Tue, 29 Oct 2002 01:12:36 -0500

htmldoc (1.8.22-1) unstable; urgency=low

  * New upstream version.  Closes: #164660.
  * Build with libpng3 now.


=== debian/control ===
Source: htmldoc
Section: web
Priority: optional
Maintainer: Jeff Licquia <licquia@debian.org>
Homepage: http://www.htmldoc.org/
Vcs-Bzr: http://bzr.licquia.org/htmldoc/debian/
Vcs-Browser: http://bzr.licquia.org/loggerhead/htmldoc/debian/
Standards-Version: 3.9.3
Build-Depends: libfltk1.1-dev, libssl-dev, debhelper (>> 7), zlib1g-dev, libjpeg-dev, libpng-dev, libxpm-dev

Package: htmldoc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, htmldoc-common
Description: HTML processor that generates indexed HTML, PS, and PDF
 HTMLDOC is a program for writing documentation in HTML and producing
 indexed HTML, PostScript, or PDF output (with tables of contents).
 It supports most HTML 3.2 and some HTML 4.0 syntax, as well as GIF,
 JPEG, and PNG images.

Package: htmldoc-common
Architecture: all
Depends: ${misc:Depends}
Replaces: htmldoc (<< 1.8.27)
Conflicts: htmldoc (<< 1.8.27)
Description: Common arch-independent files for htmldoc
 HTMLDOC is a program for writing documentation in HTML and producing
 indexed HTML, PostScript, or PDF output (with tables of contents).
 It supports most HTML 3.2 and some HTML 4.0 syntax, as well as GIF,
 JPEG, and PNG images.
 .
 This package contains the htmldoc files common to all architectures.

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://ftp.easysw.com/pub/htmldoc/(\d+\.\d+\.\d+)/ htmldoc-(.*)-source.tar.gz
